﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace TelerikMvcMultiSelectText.Models
{
    public class OrderViewModel
    {
        public int OrderID
        {
            get;
            set;
        }

        public string CustomerID { get; set; }

        public string ContactName
        {
            get;
            set;
        }

        public decimal? Freight
        {
            get;
            set;
        }

        public string ShipAddress
        {
            get;
            set;
        }



        public string ShipCountry
        {
            get;
            set;
        }

        public string ShipCity
        {
            get;
            set;
        }

        public string ShipName
        {
            get;
            set;
        }

        public int? EmployeeID
        {
            get;
            set;
        }

        public ICollection<Person> Team { get; set; }

        [NotMapped]
        public string TeamNames
        {
            get
            {
                if (Team != null)
                {
                    return string.Join(separator: ";", values: Team.Select(i => i.FullName));
                }
                else
                {
                    return "";
                }
            }
        }
    }
}
